Release Notes for Alpine 1.7.8

From Alpine Linux
Jump to: navigation, search

The 1.7.8 release focus on bugfixing. While I believe this is a fairly stable release, there are reports on some bugs in PaX these days. So do some testing before you put this kernel on production machines. This kernel is based on hardened-sources-2.6.22-r8, marked as stable in Gentoo.

iSCSI support

This release includes support for both target (iscsitarget) and initiator (open-iscsi).

Alpine Package Testing Suite

Most important news this release is the use of the Alpine Package Testing Suite, which means packages are verified before a release. This will improve the quality of alpine as new tests are added.

Once there is a test script for every package, alpine-1.8, stable, will be released, so if you are interested in getting 1.8 out, you can do alot by helping writing test scripts.

Removed packages:
apcupsd-3.10.18-r1
drbd-8.0.6-r1


New pacakges:
cracklib-words-1.1
json4lua-0.9.20
open-iscsi-2.0.865.15


Upgraded/downgraded packages (from version):
alpine-baselayout-1.6.2        (1.6.1)
alpine-conf-1.2                (1.1)
arpwatch-2.1.15-r5             (2.1.15-r4)
attr-2.4.39                    (2.4.38)
baselayout-2.0.0_rc6           (2.0.0_rc5)
binutils-dev-2.18-r1           (2.17-r1)
busybox-1.7.3                  (1.7.2)
bzip2-1.0.4-r1                 (1.0.4)
cpio-2.9-r1                    (2.9)
db-4.3.29-r2                   (4.5.20_p2)
debootstrap-1.0.6              (1.0.3)
device-mapper-1.02.22-r5       (1.02.19-r1)
dovecot-1.0.5                  (1.0.3)
dspam-3.8.0-r7                 (3.8.0-r6)
ebtables-2.0.8.2               (2.0.8.1)
haproxy-1.3.13                 (1.3.12)
iptraf-3.0.0-r4                (3.0.0-r3)
iscsitarget-0.4.15-r1          (0.4.15)
libgcrypt-1.2.4                (1.2.2-r1)
libmcrypt-2.5.8                (2.5.7)
libpcap-0.9.8                  (0.9.7)
libpng-1.2.22                  (1.2.21-r3)
lm_sensors-2.10.4              (2.10.1)
lsof-4.78-r1                   (4.78)
lvm2-2.02.28-r2                (2.02.10)
mhash-0.9.9-r1                 (0.9.9)
net-snmp-5.4.1-r1              (5.4)
openct-0.6.14                  (0.6.11-r1)
openssl-0.9.8g                 (0.9.8f)
pciutils-2.2.7-r1              (2.2.4-r3)
php-5.2.5                      (5.2.4_p20070914-r2)
python-2.4.4-r6                (2.4.4-r5)
slmodem-2.9.11_pre20070813     (2.9.11_pre20070505)
strace-4.5.16                  (4.5.15)
tcpdump-3.9.8                  (3.9.7-r1)